Subject: Ticket Assigned - Complain on a rude staff at Madina Mall Babyshop
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Mon, 26 Sep 2022 02:43:40 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Complain on a rude staff at Madina Mall Babyshop To whom it may concern,

I want to make a complain to one of your staff name Abir in Madina Mall who is on duty today 25/9/2022 @ around 8pm, I came there to collect my orders I made online but unfortunately I was not able to remember the order number of that.. I told him maybe he can track my order using my mobile number instead or my name but he said he cannot.. It is just very inconvenient on my part that I came far just to collect my orders and in the end he will not let me collect it and insisted me to go home and comeback once I have my order number with me.. Is this the right way you treat your customer? Is it really not possible to track the order using other way or other option beside the order number??
Anyway with regards to this very unpleasant experience I had with your staff and store.. I just want to cancel my orders I made.Order number is 9587356729.
Sincerely,
Aideleen Tan

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4918310